#ifndef __ACTTESTCALLER_PRIVATE_H__
#define  __ACTTESTCALLER_PRIVATE_H__

struct __ITestCaller 
{
	ITestCallerVtbl* pvt;
    uint32 m_cRef;
	char name[ACT_TEST_NAME_LENGTH];
	void(*setUp)(void);
	void(*tearDown)(void);
    ITestFixtureList * m_lstFixture;
//	int numberOfFixtuers;
//	ITestFixture * fixtures[TEST_FIXTURE_NUM_MAX];
};

static uint32   __ITestCaller_AddRef(ITestCaller* pme);
static void     __ITestCaller_Delete(ITestCaller* pme);
static char*    __ITestCaller_name(ITestCaller* pme);
static void     __ITestCaller_run(ITestCaller* pme,ITestResult* result);
static int      __ITestCaller_countTestCases(ITestCaller* pme);
static void     __ITestCaller_AddTestFixture(ITestCaller* pme, ITestFixture* pFixture);

#endif //  __ACTTESTCALLER_PRIVATE_H__

